<?xml version="1.0" encoding="utf-8"?>
<!-- Copyright (C) 2008 The Android Open Source Project

     Licensed under the Apache License, Version 2.0 (the "License");
     you may not use this file except in compliance with the License.
     You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

     Unless required by applicable law or agreed to in writing, software
     distributed under the License is distributed on an "AS IS" BASIS,
     WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
     See the License for the specific language governing permissions and
     limitations under the License.
-->
<com.android.internal.widget.LinearLayoutWithDefaultTouchRecepient
        xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/topLayout"
    android:orientation="vertical"
    android:layout_width="wrap_content"
    android:layout_height="match_parent">

    <!-- takes up all space above button bar at bottom -->
    <LinearLayout
        android:orientation="vertical"
        android:layout_width="match_parent"
        android:layout_height="0dip"
        android:layout_weight="1">

        <TextView android:id="@+id/headerText"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:textSize="18sp"/>

        <View
             android:background="@*android:drawable/code_lock_top"
             android:layout_width="match_parent"
             android:layout_height="2dip" />

        <com.android.internal.widget.LockPatternView 
             android:id="@+id/lockPattern"
             android:layout_width="match_parent"
             android:layout_height="0dip"
             android:gravity="center_horizontal"
             android:layout_weight="1" />

        <!-- bottom line looks bad when button bar is their too, omit in this case -->
        <!--View
             android:background="@*android:drawable/code_lock_bottom"
             android:layout_width="match_parent"
             android:layout_height="8dip" /-->

        <TextView android:id="@+id/footerText"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:textSize="14sp"/>

    </LinearLayout>

    <LinearLayout
        style="@style/SecurityPreferenceButtonContainer"
        android:background="@*android:drawable/btn_group_disabled_holo_dark"
        android:orientation="horizontal">

        <!-- left : cancel, or re-try -->
        <Button android:id="@+id/footerLeftButton"
            style="@style/SecurityPreferenceButton"
            android:text="@string/lockpattern_tutorial_cancel_label"/>

        <!-- right : confirm or ok -->
        <Button android:id="@+id/footerRightButton"
            style="@style/SecurityPreferenceButton"
            android:text="@string/lockpattern_tutorial_continue_label"/>

    </LinearLayout>

</com.android.internal.widget.LinearLayoutWithDefaultTouchRecepient>
